PFLOWCTL(8)

NAME
pflowctl - control pflow data export

SYNOPSIS
pflowctl [-v] [-lc] [-d id] [-s id ...]

DESCRIPTION
The pflowctl utility creates, configures and deletes netflow accounting data export using the pflow(4) subsystem.

The pflowctl utility provides several commands. The options are as follows:

-v  Produce verbose output.

-c  Create a new pflow(4) exporter.

-d id
    Remove an existing pflow(4) exporter. The id may be either numeric or the full pflowX name.

-l  List all existing pflow(4) exporters.

-s id ...
    Configure an existing pflow(4) exporter. This takes the following keywords:

    src set the source IP address (and optionally port).
    dst set the destination IP address (and optionally port).
    proto
        set the protocol version. Valid values are 5 and 10.
    domain
        set the observation domain.

    Multiple keywords may be passed in the same command invocation.

    For example, the following command sets 10.0.0.1 as the source and 10.0.0.2:1234 as destination:

        # pflowctl -s pflow0 src 10.0.0.1 dst 10.0.0.2:1234

SEE ALSO
netintro(4), pf(4), pflow(4), udp(4), pf.conf(5)

HISTORY
The pflowctl command first appeared in FreeBSD 15.0.